﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Text;
using Tsi1.DataLayer.Entities;

namespace Tsi1.DataLayer.EntityConfiguration
{
    public class StudentCourseResultConfiguration : IEntityTypeConfiguration<StudentCourseResult>
    {
        public void Configure(EntityTypeBuilder<StudentCourseResult> builder)
        {
            builder.HasKey(x => x.Id);

            builder.Property(x => x.Result)
                .IsRequired()
                .HasColumnType("integer");

            builder.Property(x => x.Date)
                .IsRequired();

            builder.HasOne(x => x.Course)
                .WithMany(x => x.StudentCourseResults)
                .HasForeignKey(x => x.CourseId);

            builder.HasOne(x => x.Student)
                .WithMany(x => x.StudentCourseResults)
                .HasForeignKey(x => x.StudentId);
        }
    }
}
